<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<service serviceGroup="" cachable="false" cacheduration="" description="" endpoint="default" groupType="" id="dbxdb_fetch_generaltranscation_proc" passwordencrypted="false" security="authorized_app_user" type="dataAdapterConnector" smscode="" smsenabled="false">
    <service-config>
        <config-param api-version="" appid="" name="preprocessorname" value=""/>
        <config-param api-version="" appid="" name="postprocessorname" value=""/>
        <config-param api-version="" appid="" name="preprocessorJS" value=""/>
        <config-param api-version="" appid="" name="postprocessorJS" value=""/>
        <config-param api-version="" appid="" name="preprocessorRules" value=""/>
        <config-param api-version="" appid="" name="postprocessorRules" value=""/>
        <config-param api-version="" appid="" name="endpointUrl" value=""/>
        <config-param api-version="" appid="" name="opcode" value="service"/>
        <config-param api-version="" appid="" name="sockettimeout" value=""/>
        <config-param api-version="" appid="" name="entitymetadata" value="{&quot;catalogName&quot;:&quot;dbxdb&quot;,&quot;serviceInput&quot;:[{&quot;nullable&quot;:true,&quot;type&quot;:&quot;STRING&quot;,&quot;length&quot;:0,&quot;precision&quot;:10,&quot;name&quot;:&quot;_customerId&quot;,&quot;displayName&quot;:&quot;_customerId&quot;,&quot;description&quot;:&quot;_customerId&quot;,&quot;inoutType&quot;:1,&quot;sqlDataType&quot;:12,&quot;ordinalPosition&quot;:2,&quot;typeName&quot;:&quot;VARCHAR&quot;,&quot;paramClass&quot;:&quot;com.kony.rdbms.metadata.model.ParamTypeData&quot;},{&quot;nullable&quot;:true,&quot;type&quot;:&quot;STRING&quot;,&quot;length&quot;:0,&quot;precision&quot;:10,&quot;name&quot;:&quot;_transactionId&quot;,&quot;displayName&quot;:&quot;_transactionId&quot;,&quot;description&quot;:&quot;_transactionId&quot;,&quot;inoutType&quot;:1,&quot;sqlDataType&quot;:12,&quot;ordinalPosition&quot;:3,&quot;typeName&quot;:&quot;VARCHAR&quot;,&quot;paramClass&quot;:&quot;com.kony.rdbms.metadata.model.ParamTypeData&quot;},{&quot;nullable&quot;:true,&quot;type&quot;:&quot;STRING&quot;,&quot;length&quot;:0,&quot;precision&quot;:10,&quot;name&quot;:&quot;_featureActionId&quot;,&quot;displayName&quot;:&quot;_featureActionId&quot;,&quot;description&quot;:&quot;_featureActionId&quot;,&quot;inoutType&quot;:1,&quot;sqlDataType&quot;:12,&quot;ordinalPosition&quot;:4,&quot;typeName&quot;:&quot;VARCHAR&quot;,&quot;paramClass&quot;:&quot;com.kony.rdbms.metadata.model.ParamTypeData&quot;},{&quot;nullable&quot;:true,&quot;type&quot;:&quot;OTHER&quot;,&quot;length&quot;:0,&quot;precision&quot;:10,&quot;name&quot;:&quot;_featureactionlist&quot;,&quot;displayName&quot;:&quot;_featureactionlist&quot;,&quot;description&quot;:&quot;_featureactionlist&quot;,&quot;inoutType&quot;:1,&quot;sqlDataType&quot;:1111,&quot;ordinalPosition&quot;:5,&quot;typeName&quot;:&quot;TEXT CHARACTER SET UTF8 COLLATE UTF8_GENERAL_CI&quot;,&quot;paramClass&quot;:&quot;com.kony.rdbms.metadata.model.DatasetTypeData&quot;},{&quot;nullable&quot;:true,&quot;type&quot;:&quot;STRING&quot;,&quot;length&quot;:0,&quot;precision&quot;:10,&quot;name&quot;:&quot;_queryType&quot;,&quot;displayName&quot;:&quot;_queryType&quot;,&quot;description&quot;:&quot;_queryType&quot;,&quot;inoutType&quot;:1,&quot;sqlDataType&quot;:12,&quot;ordinalPosition&quot;:6,&quot;typeName&quot;:&quot;VARCHAR&quot;,&quot;paramClass&quot;:&quot;com.kony.rdbms.metadata.model.ParamTypeData&quot;},{&quot;nullable&quot;:true,&quot;type&quot;:&quot;OTHER&quot;,&quot;length&quot;:0,&quot;precision&quot;:10,&quot;name&quot;:&quot;_filterByParam&quot;,&quot;displayName&quot;:&quot;_filterByParam&quot;,&quot;description&quot;:&quot;_filterByParam&quot;,&quot;inoutType&quot;:1,&quot;sqlDataType&quot;:1111,&quot;ordinalPosition&quot;:7,&quot;typeName&quot;:&quot;TEXT CHARACTER SET UTF8 COLLATE UTF8_GENERAL_CI&quot;,&quot;paramClass&quot;:&quot;com.kony.rdbms.metadata.model.DatasetTypeData&quot;},{&quot;nullable&quot;:true,&quot;type&quot;:&quot;OTHER&quot;,&quot;length&quot;:0,&quot;precision&quot;:10,&quot;name&quot;:&quot;_filterByValue&quot;,&quot;displayName&quot;:&quot;_filterByValue&quot;,&quot;description&quot;:&quot;_filterByValue&quot;,&quot;inoutType&quot;:1,&quot;sqlDataType&quot;:1111,&quot;ordinalPosition&quot;:8,&quot;typeName&quot;:&quot;TEXT CHARACTER SET UTF8 COLLATE UTF8_GENERAL_CI&quot;,&quot;paramClass&quot;:&quot;com.kony.rdbms.metadata.model.DatasetTypeData&quot;},{&quot;nullable&quot;:true,&quot;type&quot;:&quot;STRING&quot;,&quot;length&quot;:0,&quot;precision&quot;:10,&quot;name&quot;:&quot;_searchString&quot;,&quot;displayName&quot;:&quot;_searchString&quot;,&quot;description&quot;:&quot;_searchString&quot;,&quot;inoutType&quot;:1,&quot;sqlDataType&quot;:12,&quot;ordinalPosition&quot;:9,&quot;typeName&quot;:&quot;VARCHAR&quot;,&quot;paramClass&quot;:&quot;com.kony.rdbms.metadata.model.ParamTypeData&quot;},{&quot;nullable&quot;:true,&quot;type&quot;:&quot;STRING&quot;,&quot;length&quot;:0,&quot;precision&quot;:10,&quot;name&quot;:&quot;_sortByParam&quot;,&quot;displayName&quot;:&quot;_sortByParam&quot;,&quot;description&quot;:&quot;_sortByParam&quot;,&quot;inoutType&quot;:1,&quot;sqlDataType&quot;:12,&quot;ordinalPosition&quot;:10,&quot;typeName&quot;:&quot;VARCHAR&quot;,&quot;paramClass&quot;:&quot;com.kony.rdbms.metadata.model.ParamTypeData&quot;},{&quot;nullable&quot;:true,&quot;type&quot;:&quot;STRING&quot;,&quot;length&quot;:0,&quot;precision&quot;:10,&quot;name&quot;:&quot;_sortOrder&quot;,&quot;displayName&quot;:&quot;_sortOrder&quot;,&quot;description&quot;:&quot;_sortOrder&quot;,&quot;inoutType&quot;:1,&quot;sqlDataType&quot;:12,&quot;ordinalPosition&quot;:11,&quot;typeName&quot;:&quot;VARCHAR&quot;,&quot;paramClass&quot;:&quot;com.kony.rdbms.metadata.model.ParamTypeData&quot;},{&quot;nullable&quot;:true,&quot;type&quot;:&quot;STRING&quot;,&quot;length&quot;:0,&quot;precision&quot;:10,&quot;name&quot;:&quot;_pageSize&quot;,&quot;displayName&quot;:&quot;_pageSize&quot;,&quot;description&quot;:&quot;_pageSize&quot;,&quot;inoutType&quot;:1,&quot;sqlDataType&quot;:12,&quot;ordinalPosition&quot;:12,&quot;typeName&quot;:&quot;VARCHAR&quot;,&quot;paramClass&quot;:&quot;com.kony.rdbms.metadata.model.ParamTypeData&quot;},{&quot;nullable&quot;:true,&quot;type&quot;:&quot;STRING&quot;,&quot;length&quot;:0,&quot;precision&quot;:10,&quot;name&quot;:&quot;_pageOffset&quot;,&quot;displayName&quot;:&quot;_pageOffset&quot;,&quot;description&quot;:&quot;_pageOffset&quot;,&quot;inoutType&quot;:1,&quot;sqlDataType&quot;:12,&quot;ordinalPosition&quot;:13,&quot;typeName&quot;:&quot;VARCHAR&quot;,&quot;paramClass&quot;:&quot;com.kony.rdbms.metadata.model.ParamTypeData&quot;}],&quot;serviceOutput&quot;:[],&quot;name&quot;:&quot;fetch_generaltranscation_proc&quot;,&quot;schemaName&quot;:&quot;dbxdb&quot;,&quot;serviceType&quot;:&quot;com.kony.rdbms.metadata.model.StoredProcMetadata&quot;}"/>
        <config-param api-version="" appid="" name="metadataformatterobject" value="{&quot;catalogName&quot;:&quot;dbxdb&quot;,&quot;serviceType&quot;:&quot;com.kony.rdbms.metadata.model.StoredProcMetadata&quot;,&quot;serviceOutput&quot;:[],&quot;displayName&quot;:&quot;fetch_generaltranscation_proc&quot;,&quot;qualifiedName&quot;:&quot;dbxdb.fetch_generaltranscation_proc&quot;,&quot;serviceInput&quot;:[],&quot;name&quot;:&quot;fetch_generaltranscation_proc&quot;,&quot;description&quot;:&quot;&quot;,&quot;schemaName&quot;:&quot;dbxdb&quot;}"/>
        <config-param api-version="" appid="" name="isCustomQuery" value="false"/>
        <config-param api-version="" appid="" name="customQuery" value=""/>
        <config-param api-version="" appid="" name="password" value="Cr3dI@C3ntRo"/>
        <config-param api-version="" appid="" name="http_auth_mode" value="none"/>
        <config-param api-version="" appid="" name="advancedSettings" value="{softdeleteflag:'fictitiousColumn'}"/>
        <config-param api-version="" appid="" name="jdbcUrl" value="jdbc:mysql://credicentro-qa-0caea590-cae3-11eb-883f-000d3a6ecd9a.mysql.database.azure.com:3306?useSSL=true&amp;requireSSL=true&amp;verifyServerCertificate=false"/>
        <config-param api-version="" appid="" name="jdbcClass" value="com.mysql.jdbc.Driver"/>
        <config-param api-version="" appid="" name="userId" value="dbclient@credicentro-qa-0caea590-cae3-11eb-883f-000d3a6ecd9a"/>
        <config-param api-version="" appid="" name="maxPoolSize" value="20"/>
        <config-param api-version="" appid="" name="connectionTimeout" value=""/>
        <config-param api-version="" appid="" name="authservicetype" value="IdentityProvider"/>
        <config-param api-version="" appid="" name="adaptertype" value="CUSTOM"/>
        <config-param api-version="" appid="" name="basepackage" value="com.kony.rdbms"/>
        <config-param api-version="" appid="" name="identityProviderType" value=""/>
        <config-param api-version="" appid="" name="identityProvider" value=""/>
    </service-config>
    <service-input passthrough="false">
        <header datatype="" name="" passthrough="false"/>
        <param datatype="string" defaultvalue="" description="" encode="true" format="None" formatvalue="" name="_customerId" order="" paramOrder="1" parentOrder="-1" passnull="true" sms-name="" src="request" sourcevalue="" srcformatvalue="" target="request" targetdatatype="java.lang.String" testvalue="" value="">
            <accessType></accessType>
        </param>
        <param datatype="string" defaultvalue="" description="" encode="true" format="None" formatvalue="" name="_transactionId" order="" paramOrder="2" parentOrder="-1" passnull="true" sms-name="" src="request" sourcevalue="" srcformatvalue="" target="request" targetdatatype="java.lang.String" testvalue="" value="">
            <accessType></accessType>
        </param>
        <param datatype="string" defaultvalue="" description="" encode="true" format="None" formatvalue="" name="_featureActionId" order="" paramOrder="3" parentOrder="-1" passnull="true" sms-name="" src="request" sourcevalue="" srcformatvalue="" target="request" targetdatatype="java.lang.String" testvalue="" value="">
            <accessType></accessType>
        </param>
        <param datatype="string" defaultvalue="" description="" encode="true" format="None" formatvalue="" name="_queryType" order="" paramOrder="4" parentOrder="-1" passnull="true" sms-name="" src="request" sourcevalue="" srcformatvalue="" target="request" targetdatatype="java.lang.String" testvalue="" value="">
            <accessType></accessType>
        </param>
        <param datatype="string" defaultvalue="" description="" encode="true" format="None" formatvalue="" name="_searchString" order="" paramOrder="5" parentOrder="-1" passnull="true" sms-name="" src="request" sourcevalue="" srcformatvalue="" target="request" targetdatatype="java.lang.String" testvalue="" value="">
            <accessType></accessType>
        </param>
        <param datatype="string" defaultvalue="" description="" encode="true" format="None" formatvalue="" name="_sortByParam" order="" paramOrder="6" parentOrder="-1" passnull="true" sms-name="" src="request" sourcevalue="" srcformatvalue="" target="request" targetdatatype="java.lang.String" testvalue="" value="">
            <accessType></accessType>
        </param>
        <param datatype="string" defaultvalue="" description="" encode="true" format="None" formatvalue="" name="_sortOrder" order="" paramOrder="7" parentOrder="-1" passnull="true" sms-name="" src="request" sourcevalue="" srcformatvalue="" target="request" targetdatatype="java.lang.String" testvalue="" value="">
            <accessType></accessType>
        </param>
        <param datatype="string" defaultvalue="" description="" encode="true" format="None" formatvalue="" name="_pageSize" order="" paramOrder="8" parentOrder="-1" passnull="true" sms-name="" src="request" sourcevalue="" srcformatvalue="" target="request" targetdatatype="java.lang.String" testvalue="" value="">
            <accessType></accessType>
        </param>
        <param datatype="string" defaultvalue="" description="" encode="true" format="None" formatvalue="" name="_pageOffset" order="" paramOrder="9" parentOrder="-1" passnull="true" sms-name="" src="request" sourcevalue="" srcformatvalue="" target="request" targetdatatype="java.lang.String" testvalue="" value="">
            <accessType></accessType>
        </param>
        <param datatype="string" defaultvalue="" description="" encode="true" format="None" formatvalue="" name="_featureactionlist" order="" paramOrder="10" parentOrder="-1" passnull="false" sms-name="" src="request" sourcevalue="" srcformatvalue="" target="request" targetdatatype="java.lang.String" testvalue="" value="">
            <accessType></accessType>
        </param>
        <param datatype="string" defaultvalue="" description="" encode="true" format="None" formatvalue="" name="_filterByParam" order="" paramOrder="11" parentOrder="-1" passnull="false" sms-name="" src="request" sourcevalue="" srcformatvalue="" target="request" targetdatatype="java.lang.String" testvalue="" value="">
            <accessType></accessType>
        </param>
        <param datatype="string" defaultvalue="" description="" encode="true" format="None" formatvalue="" name="_filterByValue" order="" paramOrder="12" parentOrder="-1" passnull="false" sms-name="" src="request" sourcevalue="" srcformatvalue="" target="request" targetdatatype="java.lang.String" testvalue="" value="">
            <accessType></accessType>
        </param>
        <template-param datatype="" defaultvalue="" description="" encode="false" format="" formatvalue="" name="criteria" order="" paramOrder="0" parentOrder="0" sms-name="" src="" sourcevalue="" srcformatvalue="" target="" targetdatatype="" value="">
            <accessType></accessType>
        </template-param>
    </service-input>
    <service-output passthrough="false"/>
</service>
